package com.wjholden.nmap;

import android.content.Context;
import android.net.DhcpInfo;
import android.net.wifi.WifiManager;

public class AndroidSubnet extends Subnet {
	
	public AndroidSubnet(final Context context) {
		WifiManager wifi = (WifiManager) context.getSystemService(Context.WIFI_SERVICE);
		DhcpInfo dhcpInfo = wifi.getDhcpInfo();
		
		setHostIP(intToByteArray(dhcpInfo.ipAddress));
		setGateway(intToByteArray(dhcpInfo.gateway));
		setDns1(intToByteArray(dhcpInfo.dns1));
		setDns2(intToByteArray(dhcpInfo.dns2));
		setNetmask(intToByteArray(dhcpInfo.netmask));
	}
}
