package com.wjholden.nmap;

import java.util.ArrayList;
import java.util.List;

import android.util.Log;

public final class PipsError {
	
	@SuppressWarnings("unused")
	private static final PipsError SINGLETON = new PipsError();
	
	private static boolean debug = false;
	private static List<String> errorLog = new ArrayList<String>();
	
	private PipsError ()
	{
		// singleton - do nothing.
	}
	
	public static void log (final String string)
	{
		errorLog.add(string);
		if (debug)
		{
			Log.d(Constants.TAG, string);
		}
	}
	
	public static List<String> getLog()
	{
		return errorLog;
	}
	
	public static void setDebug(final boolean debug)
	{
		PipsError.debug = debug;
	}
	
}
