package com.wjholden.nmap;

import android.app.Activity;
import android.os.Bundle;
import android.widget.EditText;

public class SubnetActivity extends Activity {

	private transient EditText mIP, mNetmask, mBroadcast,
		mGateway, mDns1, mDns2, mNetwork;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.subnet);
		
		mIP = (EditText) findViewById(R.id.editTextIP);
		mNetmask = (EditText) findViewById(R.id.editTextSM);
		mBroadcast = (EditText) findViewById(R.id.editTextBC);
		mGateway = (EditText) findViewById(R.id.editTextDG);
		mDns1 = (EditText) findViewById(R.id.editTextDNS1);
		mDns2 = (EditText) findViewById(R.id.editTextDNS2);
		mNetwork = (EditText) findViewById(R.id.editTextNet);
	}

	@Override
	protected void onResume() {
		super.onResume();
		
		AndroidSubnet subnet = new AndroidSubnet(this.getApplicationContext());
		mIP.setText(subnet.getHostIP());
		mNetmask.setText(subnet.getNetmask());
		mBroadcast.setText(subnet.getBroadcast());
		mGateway.setText(subnet.getGateway());
		mDns1.setText(subnet.getDns1());
		mDns2.setText(subnet.getDns2());
		mNetwork.setText(subnet.getNetwork());
	}

}
